textures/Starlight/Stars
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	surfaceparm sky
	q3map_lightsubdivide 256
	qer_editorimage textures/Starlight/Stars.tga
	q3map_surfacelight 53
	skyparms env/Starlight - -
}

textures/starlight/Baum
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable

	{
		map textures/starlight/Baum.tga
		rgbGen vertex
		alphaFunc GE128
		blendFunc GL_ONE GL_ZERO
	}
}

textures/starlight/Blue_lava
{
	qer_editorimage textures/starlight/Blue_lava1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/starlight/Blue_lava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcMod turb 0 .1 0 .01
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/starlight/Blue_lava1.tga
		blendfunc blend
		tcMod turb 0 .2 0 .1
	}
}

textures/starlight/Comp_gross
{
	q3map_surfacelight 300
	q3map_lightimage textures/starlight/Comp_gross2.tga
	qer_editorimage textures/starlight/Comp_gross.tga

	{
		map textures/starlight/Comp_gross.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/starlight/Comp_gross2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 .1 0 5
	}
}

textures/starlight/Farbstrom_blau
{
	qer_editorimage textures/starlight/Farbstrom_blau1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	cull disable
	tesssize 128

	{
		map textures/starlight/Farbstrom_blau2.tga
		tcmod scale 1.0 2.0
		tcmod scroll .4 .0
		tcMod turb .1 .05 .25 .08
		blendfunc GL_DST_COLOR GL_zero
	}
	{
		map textures/starlight/Farbstrom_blau1.tga
		blendfunc GL_DST_COLOR GL_one
		tcMod turb 0 .2 0 .1
		rgbGen identity
	}
}

textures/starlight/Farbstrom_rot
{
	qer_editorimage textures/starlight/Farbstrom_rot1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	cull disable
	tesssize 128

	{
		map textures/starlight/Farbstrom_rot2.tga
		tcmod scale 1.0 2.0
		tcmod scroll .5 .0
		tcMod turb .1 .05 .25 .08
		blendfunc GL_DST_COLOR GL_zero
	}
	{
		map textures/starlight/Farbstrom_rot1.tga
		blendfunc GL_DST_COLOR GL_one
		tcMod turb 0 .2 0 .1
		rgbGen identity
	}
}

textures/starlight/Flagge_blau2
{
	qer_editorimage textures/starlight/Flagge_blau2.tga
	q3map_globaltexture
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	q3map_surfacelight 250
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/starlight/Flagge_blau2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/starlight/Flagge_rot2
{
	qer_editorimage textures/starlight/Flagge_rot2.tga
	q3map_globaltexture
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	q3map_surfacelight 250
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/starlight/Flagge_rot2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/starlight/Licht_blau
{
	q3map_surfacelight 300
	q3map_lightimage textures/starlight/Licht_blau2.tga
	qer_editorimage textures/starlight/Licht_blau1.tga

	{
		map textures/starlight/Licht_blau1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/starlight/Licht_blau2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 .1 0 5
	}
}

textures/starlight/Licht_rot
{
	q3map_surfacelight 300
	q3map_lightimage textures/starlight/Licht_rot2.tga
	qer_editorimage textures/starlight/Licht_rot.tga

	{
		map textures/starlight/Licht_rot.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/starlight/Licht_rot2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 .1 0 5
	}
}


textures/starlight/Marmor_rotblasig
{

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/starlight/Marmor_rotblasig.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/starlight/Roste
{
	surfaceparm metalsteps
	cull none

	{
		map textures/starlight/Roste.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/starlight/Roste2
{
	surfaceparm metalsteps
	cull none

	{
		map textures/starlight/Roste2.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/starlight/Roste3
{
	surfaceparm metalsteps
	cull none

	{
		map textures/starlight/Roste3.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/starlight/Weben1
{
	qer_editorimage textures/starlight/Weben1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/starlight/Weben1.tga
		blendfunc add
		rgbgen identity
	}
}

textures/starlight/Weben2
{
	qer_editorimage textures/starlight/Weben2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/starlight/Weben2.tga
		blendfunc add
		rgbgen identity
	}
}

textures/starlight/Weben3
{
	qer_editorimage textures/starlight/Weben3.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/starlight/Weben3.tga
		blendfunc add
		rgbgen identity
	}
}

textures/starlight/Weben4
{
	qer_editorimage textures/starlight/Weben4.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/starlight/Weben4.tga
		blendfunc add
		rgbgen identity
	}
}

textures/starlight/starwater
{
	qer_editorimage textures/starlight/starwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
	qer_nocarve
	deformVertexes wave 120 sin 0.6 1.5 6 .3

	{
		map textures/starlight/starwater.tga
		blendFunc GL_dst_color GL_src_color
		tcMod scale .6 .8
		tcmod scroll .1 .1
		tcmod transform 3.5 4 4.5 1 1 2
	}
	{
		map textures/starlight/starwellen.tga
		blendFunc GL_dst_color GL_one
		tcMod scale .6 .8
		tcmod scroll .1 .3
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/starlight/Comp_klein
{
	q3map_surfacelight 300
	q3map_lightimage textures/starlight/Comp_klein2.tga
	qer_editorimage textures/starlight/Comp_klein.tga

	{
		map textures/starlight/Comp_klein.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/starlight/Comp_klein2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 .1 0 5
	}
}

textures/starlight/Wassernebel
{
	qer_editorimage textures/starlight/Wassernebel.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0.4 0.5 0.9 ) 1850
}
